package com.zd.exam.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 证书管理对象 lab_certificate
 *
 * @author zd
 * @date 2021-08-31
 */
public class LabCertificate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 证书名称
     */
    @Excel(name = "证书名称")
    private String certTitle;

    /**
     * 证书分类（ 参考字典表，参考考试科目）
     */
    @Excel(name = "证书分类", readConverterExp = "参=考字典表，参考考试科目")
    private Integer certType;

    /**
     * 证书上传的图片
     */
    @Excel(name = "证书上传的图片")
    private String certUrl;

    /**
     * 证书有效期
     */
    @Excel(name = "证书有效期")
    private Integer certValidity;

    /**
     * 证书有效期单位（年月）
     */
    @Excel(name = "证书有效期单位", readConverterExp = "年=月")
    private String certValidityUnit;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 创建人（用于数据权限）
     */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    private Long userId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCertTitle(String certTitle) {
        this.certTitle = certTitle;
    }

    public String getCertTitle() {
        return certTitle;
    }

    public void setCertType(Integer certType) {
        this.certType = certType;
    }

    public Integer getCertType() {
        return certType;
    }

    public void setCertUrl(String certUrl) {
        this.certUrl = certUrl;
    }

    public String getCertUrl() {
        return certUrl;
    }

    public void setCertValidity(Integer certValidity) {
        this.certValidity = certValidity;
    }

    public Integer getCertValidity() {
        return certValidity;
    }

    public void setCertValidityUnit(String certValidityUnit) {
        this.certValidityUnit = certValidityUnit;
    }

    public String getCertValidityUnit() {
        return certValidityUnit;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("certTitle", getCertTitle())
                .append("certType", getCertType())
                .append("certUrl", getCertUrl())
                .append("certValidity", getCertValidity())
                .append("certValidityUnit", getCertValidityUnit())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
